FROM php:8.1-fpm

RUN apt update && apt install -y unzip libsodium-dev librabbitmq-dev

RUN docker-php-ext-install sodium && \
    docker-php-ext-enable sodium

RUN pecl install amqp && \
    docker-php-ext-enable amqp